<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Welcome extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{
		$this->load->helper(array('dropdown','form'));
		$this->load->database();
		$dropdownItems = listData('country_tbl','country_id', 'country_name');
		$countryDropdown = form_dropdown('country',$dropdownItems);
		$stateDropdown =   form_dropdown('state',[]);
		$this->load->view('welcome_message', ['countryDropdown' => $countryDropdown, 'stateDropdown' => $stateDropdown]);
	}

	public function getState() {
		$this->load->helper(array('dropdown','form'));
		$this->load->database();
	 $country_id = $this->input->get('country_id');
		$dropdownItems = listData('state_tbl','sate_id', 'sate_name',['where' => ['country_id' => $country_id]]);
		echo $stateDropdown =   form_dropdown('state',$dropdownItems);
		
	}
}
